package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.dormitory.domain.DmsManageApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.DmsSearch;
import com.srs.dormitory.domain.Vo.DomInfo;

/**
 * 宿舍管理申请Mapper接口
 *
 * @author srs
 * @date 2024-02-29
 */
public interface DmsManageApplicationMapper extends BaseMapper<DmsManageApplication> {


    public List<DomInfo> listView(DmsSearch param);



    /**
     * 查询宿舍管理申请
     *
     * @param id 宿舍管理申请主键
     * @return 宿舍管理申请
     */
    public DmsManageApplication selectDmsManageApplicationById(Long id);

    public DmsManageApplication selectDmsManageApplicationByStuNO(String stuNO);

    /**
     * 查询宿舍管理申请列表
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 宿舍管理申请集合
     */
    List<DmsManageApplication> selectDmsManageApplicationList(DmsManageApplication dmsManageApplication);

    /**
     * 新增宿舍管理申请
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 结果
     */
    int insertDmsManageApplication(DmsManageApplication dmsManageApplication);

    /**
     * 修改宿舍管理申请
     *
     * @param dmsManageApplication 宿舍管理申请
     * @return 结果
     */
    int updateDmsManageApplication(DmsManageApplication dmsManageApplication);

    /**
     * 删除宿舍管理申请
     *
     * @param id 宿舍管理申请主键
     * @return 结果
     */
    int deleteDmsManageApplicationById(Long id);

    /**
     * 批量删除宿舍管理申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsManageApplicationByIds(Long[] ids);
    
    /**
     * 根据学号查询学生宿舍完整信息
     * 
     * @param stuNo 学号
     * @return 学生宿舍完整信息
     */
    DomInfo selectStudentDormitoryInfoByStuNo(String stuNo);
}